/// <reference types='codeceptjs' />
type steps_file = typeof import('@codeceptjs/configure/test/integration/steps_file.js');
type users = typeof import('./src/users.js');
type contexts = typeof import('./src/contexts.js');
type ResellerContext = typeof import('./src/reseller/context.js');
type ResellerUser = typeof import('./src/reseller/user.js');
type AppSuite = import('./src/helper.js');

declare namespace CodeceptJS {
  interface SupportObject { I: I, current: any, users: users, contexts: contexts, ResellerContext: ResellerContext, ResellerUser: ResellerUser }
  interface Methods extends Playwright, AppSuite {}
  interface I extends ReturnType<steps_file>, WithTranslation<AppSuite> {}
  namespace Translation {
    interface Actions {}
  }
}
