function merge (s1, s2) {
  const m = new Map()
  s1.forEach(t => m.set(t.title, t))
  s2.forEach(function (t2) {
    let t = m.get(t2.title)

    if (t && Object.hasOwnProperty.call(t, 'state') && Object.hasOwnProperty.call(t2, 'state')) {
      console.warn('Duplicate test report detected:', t2)
    } else if (!t || Object.hasOwnProperty.call(t2, 'state')) {
      t = t2
    }

    m.set(t.title, t)
  })
  return Array.from(m.values()).sort((a, b) => a.title < b.title ? -1 : 1)
}

module.exports = {
  merge
}
